package com.chinaitop.depot.intelligent.IntelligentDetection.mapper;

import com.chinaitop.depot.intelligent.IntelligentDetection.model.TTimingTaskHistory;
import com.chinaitop.depot.intelligent.IntelligentDetection.model.TTimingTaskHistoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TTimingTaskHistoryMapper {
    int countByExample(TTimingTaskHistoryExample example);

    int deleteByExample(TTimingTaskHistoryExample example);

    int deleteByPrimaryKey(String id);

    int insert(TTimingTaskHistory record);

    int insertSelective(TTimingTaskHistory record);

    List<TTimingTaskHistory> selectByExample(TTimingTaskHistoryExample example);

    TTimingTaskHistory selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TTimingTaskHistory record, @Param("example") TTimingTaskHistoryExample example);

    int updateByExample(@Param("record") TTimingTaskHistory record, @Param("example") TTimingTaskHistoryExample example);

    int updateByPrimaryKeySelective(TTimingTaskHistory record);

    int updateByPrimaryKey(TTimingTaskHistory record);

    void insertBatch(List<TTimingTaskHistory> taskHistories);
}